%define	name	zaptel
%define module	%{name}
%define	version	1.0.7

%define	major	1
%define libname	%mklibname tonezone %{major}

%define	progs	fxstest hdlcgen hdlcstress hdlctest hdlcverify makefw patgen patlooptest pattest usbfxstest wct4xxp-diag ztcfg ztdiag ztmonitor ztspeed zttool
# ztprovision ztcat ztcfg-dude fxsdump sethdlc 

Summary:	Zapata Telephony Interface Library and tools
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.asterisk.org/
Source0:	http://www.asterisk.org/html/downloads/%{name}-%{version}.tar.bz2
Patch0:		zaptel-1.0.6-bristuff-0.2.0-RC7k.diff.bz2
Patch1:		zaptel-1.0.3-mdk.diff.bz2
BuildRequires:	newt-devel
BuildRequires:	zapata-devel
BuildConflicts:	%{name}-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Zapata Telephony Interface Library and utilities

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}
Summary:	The shared Zapata Telephony Interface Library
Group:          System/Libraries

%description -n	%{libname}
The shared Zapata Telephony Interface Library

The Zapata Telephony Interface drivers is contained in the 
kernel-zaptel (or dkms) package.

BRI support was added from the bri-stuff tarball by Klaus-Peter
Junghanns: http://www.junghanns.net/

%package -n	%{libname}-devel
Summary:	Development files for the Zapata Telephony Interface Library
Group:		Development/C
Obsoletes:	%{name}-devel libtonezone-devel
Provides:	%{name}-devel libtonezone-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
Development files for the Zapata Telephony Interface Library.

This package contains the static tonezone library and its header
files.

%package	-n dkms-%{name}
Summary:	Kernel drivers for the Zapata Telephony Interface
Group:		System/Kernel and hardware
Requires:	dkms

%description	-n dkms-%{name}
Kernel drivers for the Zapata Telephony Interface

%package	tools
Summary:	Various tools for the Zapata Telephony Interface
Group:          System/Kernel and hardware

%description	tools
Various tools for the Zapata Telephony Interface

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p0

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" libtonezone.so.%{major}.0
%make libtonezone.a

# make these with a twist...
mkdir -p private-build
cp -p *.c *.h *.cc *.so* Makefile private-build/
cd private-build
perl -pi -e "s|\<linux/zaptel.h\>|\"zaptel.h\"|g" *
for prog in %progs; do
    %make RPM_OPT_FLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT" $prog
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}

cp	Makefile \
	*.c \
	*.h \
	tormenta2.rbt \
	%{buildroot}/usr/src/%{module}-%{version}-%{release}

cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="make linux26 KERNVER=$kernelver"
CLEAN="make KERNVER=$kernelver clean"


BUILT_MODULE_NAME[0]="tor2"
BUILT_MODULE_NAME[1]="torisa"
BUILT_MODULE_NAME[2]="wcfxo"
BUILT_MODULE_NAME[3]="wcfxs"
#BUILT_MODULE_NAME[3]="wctdm"
BUILT_MODULE_NAME[4]="wct1xxp"
BUILT_MODULE_NAME[5]="wct4xxp"
BUILT_MODULE_NAME[6]="wcte11xp"
BUILT_MODULE_NAME[7]="wcusb"
BUILT_MODULE_NAME[8]="ztdummy"
BUILT_MODULE_NAME[9]="zaptel"
#BUILT_MODULE_NAME[?]="wcfxsusb"

DEST_MODULE_LOCATION[0]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[2]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[3]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[4]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[5]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[6]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[7]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[8]="/kernel/drivers/telephony/zaptel"
DEST_MODULE_LOCATION[9]="/kernel/drivers/telephony/zaptel"
#DEST_MODULE_LOCATION[?]="/kernel/drivers/telephony/zaptel"

AUTOINSTALL=yes
EOF

install -d %{buildroot}%{_includedir}/linux
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}

install -m0755 libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so.%{major}
ln -snf libtonezone.so.%{major}.0 %{buildroot}%{_libdir}/libtonezone.so
install -m0755 libtonezone.a %{buildroot}/%{_libdir}/
install -m0644 zaptel.h %{buildroot}%{_includedir}/linux/
install -m0644 torisa.h %{buildroot}%{_includedir}/linux/
install -m0644 tonezone.h %{buildroot}%{_includedir}/linux/

for prog in %progs; do
    install -m0755 private-build/$prog %{buildroot}%{_bindir}/
done

# fix one conflicting file with tetex
mv %{buildroot}%{_bindir}/patgen %{buildroot}%{_bindir}/%{name}-patgen

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade


%preun -n dkms-%{name}
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/linux/*.h
%{_libdir}/*.so
%{_libdir}/*.a

%files -n dkms-%{name}
%defattr(-,root,root)
/usr/src/%{module}-%{version}-%{release}

%files tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- use the %%mkrel macro
- update P0 to bristuff-0.2.0-RC7k
- drop obsolete patches P2 and P3

* Sat Jan 22 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-4mdk
- fix wcfxs module compile with new gcc & kernel

* Tue Jan 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-3mdk
- fix dkms naming

* Thu Jan 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-2mdk
- add dkms package

* Sun Dec 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- bristuff-0.2.0-RC3 (P0)
- rediff P1
- drop the sethdlc binary as the code is too old. use the new
  sethdlc-1.15 >= 1mdk package instead.

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-3mdk
- bristuff-0.2.0-rc2a

* Mon Nov 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-2mdk
- bristuff-0.2.0-rc2 (P1)

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- better and updated P0
- bristuff-0.2.0-rc1 (P1)

* Sun Sep 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-2mdk
- added P1 by Klaus-Peter Junghanns

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- fix url

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.2mdk
- fix one conflicting file with tetex

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.RC2.1mdk
- initial mandrake package
